DCMTK - Feature #1024

Change execution order of option --charset-assume and --convert-to-utf8
2022-05-13 16:12 - Jorg Riesmeier

Status: Closed Start date: 2022-05-13
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Application Estimated time: 10:00 hours
Target version: 3.6.8

Module: dcmdata, dcmsr Compiler:

Operating System:

Description

The command line tools dcm2xml, dsr2xml and dsr2html provide the options --charset-assume and --convert-to-utf8. When using
these two options together, one would probably expect that the -charset-assume option is applied first (because the Specific
Character Set is missing) and then the option --convert-to-utf8 (to convert the dataset to UTF-8). However, the order is currently
reversed. This should be fixed for all three tools.

History

#1 - 2022-05-25 15:43 - Jorg Riesmeier
- % Done changed from 0 to 40
- Estimated time set to 3:00 h

Partly closed by commit c00b1c873, i.e. dcm2xml has already been fixed.

#2 - 2022-06-24 13:50 - Jorg Riesmeier

- Status changed from New to Closed

- % Done changed from 40 to 100

- Estimated time changed from 3:00 h to 10:00 h

Finally closed with commit b1da9ea82.
